Get webhook configurations

Retrieve webhook configurations for a customer or specific agent

Required scope: convai:read

Query Parameters
  • agent_id
    Type: string

    Optional agent ID to get webhooks for a specific agent

  • scope
    Type: string enum

    Filter webhooks by scope - 'customer' returns only customer-level webhooks, 'agent' returns only agent-specific webhooks, 'all' returns both (default). Note that if agent_id is provided, this parameter is ignored.

    values
    • customer
    • agent
    • all
  • event_type
    Type: string enum

    Event type to get config for. If not provided, returns all webhook configs for the customer

    values
    • conversation.completed
    • conversation.initiating
Responses
  • application/json
  • 400

    Missing required query parameters

  • application/json
  • 404

    No webhook configurations found

  • 500

    Internal server error

Request Example for get/webhooks
curl https://api.simwood.com/convai/v1/webhooks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "string",
    "agent_id": null,
    "event_type": "conversation.completed",
    "url": "https://example.com",
    "request_headers": {
      "additionalProperty": "string"
    },
    "enabled": true,
    "created_at": "2026-07-10T12:32:34.142Z",
    "updated_at": "2026-07-10T12:32:34.142Z"
  }
]